# see http://about.travis-ci.org/docs/user/languages/php/ for more hints
language: php

php:
  - 5.6

addons:
  code_climate:
    repo_token: 7622e26bf39cd5dceeb49b84da810cfd735e0891583270601a35cf97dc05e356

before_script:
  - composer selfupdate
  - composer install

script:
  - vendor/bin/phpunit --coverage-clover build/logs/clover.xml

after_script:
  - php vendor/bin/test-reporter --stdout > cc.json
  - 'curl -X POST -d @cc.json -H "Content-Type: application/json" https://codeclimate.com/test_reports'
